SDL_HINT_JOYSTICK_HIDAPI_VERTICAL_JOY_CONS(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_VERTICAL_JOY_CONS - A variable controlling whether Nintendo Switch Joy-Con controllers will be in vertical mode when using the HIDAPI driver.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_HIDAPI_VERTICAL_JOY_CONS SDL_JOYSTICK_HIDAPI_VERTICAL_JOY_CONS"

DESCRIPTION
The variable can be set to the following values:

• "0": Left and right Joy-Con controllers will not be in vertical mode.
  (default)

• "1": Left and right Joy-Con controllers will be in vertical mode.

This hint should be set before opening a Joy-Con controller.

AVAILABILITY
This hint is available since SDL 3.2.0.